name: qrpay
description: A new Flutter project.
publish_to: "none" # Remove this line if you wish to publish to pub.dev

version: 1.5.0+4

environment:
    sdk: ">=3.9.2 <4.0.0"
    flutter: ">=3.38.5 <4.0.0"
  
dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: 1.0.8
  # manually added dependency
  get: 4.7.3
  flutter_screenutil: ^5.9.3
  google_fonts: ^6.3.1
  country_code_picker: ^3.4.0
  get_storage: ^2.1.1
  logger: ^2.6.1
  pin_code_fields: 8.0.1
  intl: 0.20.2
  image_picker: ^1.2.0
  flutter_svg:
  qr_code_scanner_plus: ^2.0.10+1
  dotted_border: ^3.1.0
  carousel_slider: ^5.0.0
  connectivity_plus: ^7.0.0
  http: ^1.5.0
  flutter_inappwebview: 6.1.5
  flutter_html:
  share_plus: ^12.0.0
  local_auth: 3.0.0
  cached_network_image:
  uuid:
  flutter_local_notifications: ^19.4.2
  iconsax: ^0.0.8
  flutter_animate: ^4.5.2
  flutter_staggered_animations: ^1.1.1
  qr_flutter: ^4.1.0
  loading_animation_widget: 1.3.0
  lottie: ^3.3.2
  dropdown_button2: ^2.3.9
  pusher_beams: 1.1.2
  firebase_core: 
  rename_app: ^1.6.5
  restart_app: ^1.2.1
  shimmer: ^3.0.0

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_launcher_icons:
  change_app_package_name: 1.5.0
  
  flutter_lints: ^6.0.0

flutter_launcher_icons:
  android: true
  ios: false
  image_path: "assets/logo/app_launcher.png"

flutter_gen:
  output: lib/custom_assets/ # Optional (default: lib/gen/)
  line_length: 80 # Optional (default: 80)
flutter:
  uses-material-design: true
  fonts:
    - family: AgencyFB-Bold
      fonts:
        - asset: fonts/AgencyFB-Bold.ttf

  assets:
    - assets/animation/
    - assets/card/
    - assets/clipart/
    - assets/icon/
    - assets/logo/
    - assets/onboard/
    - assets/qr/
